<?php
/*
 * JohnCMS NEXT Mobile Content Management System (http://johncms.com)
 *
 * For copyright and license information, please see the LICENSE.md
 * Installing the system or redistributions of files must retain the above copyright notice.
 *
 * @link        http://johncms.com JohnCMS Project
 * @copyright   Copyright (C) JohnCMS Community
 * @license     GPL-3
 */

defined('_IN_JOHNCMS') or die('Error: restricted access');

if ($id) {
    /** @var Psr\Container\ContainerInterface $container */
    $container = App::getContainer();

    /** @var PDO $db */
    $db = $container->get(PDO::class);

    /** @var Johncms\Api\ToolsInterface $tools */
    $tools = $container->get(Johncms\Api\ToolsInterface::class);

    /** @var Johncms\Api\UserInterface $systemUser */
    $systemUser = $container->get(Johncms\Api\UserInterface::class);

    $error = false;

    // Скачивание прикрепленного файла Форума

    $req = $db->query("SELECT * FROM `cms_forum_files` WHERE `id` = '$id'");

    if ($req->rowCount()) {
        $res = $req->fetch();

        if (file_exists('../files/forum/attach/' . $res['filename'])) {
          if ($systemUser->isValid()) {
          if ($systemUser->premium == '1') {
            $dlcount = $res['dlcount'] + 1;
            $db->exec("UPDATE `cms_forum_files` SET  `dlcount` = '$dlcount' WHERE `id` = '$id'");
            header('location: ../files/forum/attach/' . $res['filename']);
          } else {
             require('../system/head.php');
             echo '<div class="mainblok">';
             echo '<div class="phdr">Download File</div>';
             $dlcount = $res['dlcount'] + 1;
             $db->exec("UPDATE `cms_forum_files` SET  `dlcount` = '$dlcount' WHERE `id` = '$id'");
             echo '<div class="gmenu">';
             echo '<p align="center">';
             echo 'Download file will be show after 60 seconds if you dont like waiting <font color="red">upgrade your account to premium</font><br/><br/>';
            echo '<font color="blue"><font size="60"><span id="countdown"></span></font></font>' .
                '</p><p align="center"><br/><a id="download_link" href="../files/forum/attach/' . $res['filename'] . '" style="display:none;"><button class="aan-black"> <i class="icon-download icon-large"></i>  Download Now</button></a></p>' .
                '<noscript>JavaScript needs to be enabled in order to be able to download.</noscript>';
echo '<script type="application/javascript">
    (function(){
       var message = "%d seconds before download link appears";
       var count = 60;
       var countdown_element = document.getElementById("countdown");
       var download_link = document.getElementById("download_link");
       var timer = setInterval(function(){
          if (count) {
              countdown_element.innerHTML = "%d".replace("%d", count);
              count--;
          } else {
              clearInterval(timer);
              countdown_element.style.display = "none";
              download_link.style.display = "";
          }
       }, 1000);
    })();
    </script>
'; 
echo '</div>';
echo '<div class="phdr"><b><a href="javascript:history.back(2)">Back</a></b></div>';
echo '</div>';
require('../system/end.php');
          }
          } else {
             require('../system/head.php');
             echo '<div class="mainblok">';
             echo '<div class="phdr">Download File</div>';
             $dlcount = $res['dlcount'] + 1;
             $db->exec("UPDATE `cms_forum_files` SET  `dlcount` = '$dlcount' WHERE `id` = '$id'");
             echo '<div class="gmenu">';
             echo '<p align="center">';
             echo 'Download file will be show after 120 seconds if you dont like waiting <font color="red">upgrade your account to premium</font><br/><br/>';
            echo '<font color="blue"><font size="60"><span id="countdown"></span></font></font>' .
                '</p><p align="center"><br/><a id="download_link" href="../files/forum/attach/' . $res['filename'] . '" style="display:none;"><button class="aan-black"> <i class="icon-download icon-large"></i>  Download Now</button></a></p>' .
                '<noscript>JavaScript needs to be enabled in order to be able to download.</noscript>';
echo '<script type="application/javascript">
    (function(){
       var message = "%d seconds before download link appears";
       var count = 120;
       var countdown_element = document.getElementById("countdown");
       var download_link = document.getElementById("download_link");
       var timer = setInterval(function(){
          if (count) {
              countdown_element.innerHTML = "%d".replace("%d", count);
              count--;
          } else {
              clearInterval(timer);
              countdown_element.style.display = "none";
              download_link.style.display = "";
          }
       }, 1000);
    })();
    </script>
'; 
echo '</div>';
echo '<div class="phdr"><b><a href="javascript:history.back(2)">Back</a></b></div>';
echo '</div>';
require('../system/end.php');
          }


        } else {
            $error = true;
        }
    } else {
        $error = true;
    }

    if ($error) {
        require('../system/head.php');
        echo $tools->displayError(_t('File does not exist'), '<a href="index.php">' . _t('Forum') . '</a>');
        require('../system/end.php');
        exit;
    }
} else {
    header('location: index.php');
}
